Bug 1310623 - Regression: cannot use meld as git mergetool ('meld --help' tracebacks)
Regression: cannot use meld as git mergetool ('meld --help' tracebacks)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 06:36 EST by Jaroslav Škarvada
Modified: 2016-12-19 08:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-19 08:15:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2016-02-22 06:36:46 EST
Description of problem:
This seems to be an regression. By running 'git mergetool' upon merge conflict and with meld set as a merge tool, it no longer works. Meld backtraces or simply dont show the UI (while still listed in ps and blocking the git mergetool command from returning). It worked OK in f22 and earlier Fedoras.

Version-Release number of selected component (if applicable):
meld-3.14.0-2.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. git merge origin/master # on dist-git
2. git mergetool

Actual results:
Merging:
postfix.spec
sources

Normal merge conflict for 'postfix.spec':
  {local}: modified file
  {remote}: modified file

And nothing more.

Expected results:
Meld opens

Additional info:
$ pgrep -l meld
9467 meld

$ ps -fq 9467
UID        PID  PPID  C STIME TTY          TIME CMD
yarda     9467  9395  0 12:23 pts/5    00:00:00 /usr/bin/python /usr/bin/meld --help

Not sure, why there is --help, maybe some detection used by git. But when using it literally:

$ meld --help

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/meld/meldapp.py", line 72, in do_command_line
    tab = self.parse_args(command_line)
  File "/usr/lib/python2.7/site-packages/meld/meldapp.py", line 277, in parse_args
    if len(args) > 3:
UnboundLocalError: local variable 'args' referenced before assignment

So this is probably source of the problem.
Comment 1 Jaroslav Škarvada 2016-03-05 16:45:21 EST
It seems that meld-3.14.1-1 fixes the problem (not yet in stable).
Comment 2 Fedora End Of Life 2016-11-24 10:41:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.